//
//  QuranDatabase.h
//  QuranSearch
//
//  Created by Ahmed El-Helw on 10/21/10.
//  Copyright 2010 None. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <sqlite3.h>

@interface QuranDatabase : NSObject {
	sqlite3* database;
}

- (void)initialize;
- (void)close;
- (NSArray*)autocomplete:(NSString *)query;
- (NSArray*)search:(NSString *)query;
- (NSArray*)search:(NSString *)query withSecondWord:query2;
- (NSArray*)search:(NSString *)query withSecondWord:query2 withThirdWord:query3;
- (NSMutableArray*)getVerses:(NSString *)verses;
- (NSMutableArray*)getResults:(NSMutableArray*) possibleResults;

@end
