//
//  QuranSearchAppDelegate.m
//  QuranSearch
//
//  Created by Ahmed El-Helw on 10/21/10.
//  Copyright 2010 None. All rights reserved.
//

#import "QuranSearchAppDelegate.h"
#import "QuranSearchViewController.h"

@implementation QuranSearchAppDelegate

@synthesize window;
@synthesize viewController;
@synthesize resultsController;
@synthesize splitViewController;


#pragma mark -
#pragma mark Application lifecycle

- (BOOL)application:(UIApplication *)application
	didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    
    
	if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad) {      
		UIView *view = [splitViewController view];
		[window addSubview:view];
	}
	else [window addSubview:viewController.view];

	
    // Add the view controller's view to the window and display.
    // [self.window addSubview:viewController.view];
    [self.window makeKeyAndVisible];

    return YES;
}

- (void)dealloc {
    [viewController release];
	[resultsController release];
	[splitViewController release];
    [window release];
    [super dealloc];
}


@end
